# Hubspot Parse
Scripts for parsing Hubspot data with a goal towards migrations.

# Install
Thusly.

```
git clone https://code.libre.is/libre/hsparse
cd hsparse/
python -m venv venv
source venv/bin/activate
pip install poetry
poetry install
```

# Usage
```
$ hsparse-csv-contacts -h
usage: hsparse-csv-contacts [-h] [-d] [-e] [-f] [-n] csv_file

Parse Hubspot Contacts CSV Export

positional arguments:
  csv_file         Contacts CSV File

options:
  -h, --help       show this help message and exit
  -d, --dump       Dump CSV contents
  -e, --empty      List empty columns
  -f, --fields     Fields from CSV header
  -n, --non_empty  List number of non-empty values for each column
```

